
Redmine - Defect #11922

bs.yml and de.yml lead to error by number_to_currency()

2012-09-24 20:55 - Miko Kinski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 2.1.1   

Resolution: Fixed Affected version: 2.0.0

Description

default settings in format are overwritten by empty separator, delimiter, precision in currency block which leads to following error

ActionView::Template::Error (wrong argument type nil (expected Fixnum)):

actionpack (3.2.6)

I do not know how to fix this while not changing the de.yml local of redmine

Associated revisions

Revision 10475 - 2012-09-26 10:12 - Toshi MARUYAMA

add tests that i18n currency options are nil to 1.4-stable Rails2 (#11922)

Revision 10476 - 2012-09-26 10:45 - Toshi MARUYAMA

fix number_to_currency() raises exception on Rails3 bs and de locale (#11922)

Revision 10479 - 2012-09-26 13:09 - Toshi MARUYAMA

Merged r10476 from trunk (#11922)

fix number_to_currency() raises exception on Rails3 bs and de locale.

History

#1 - 2012-09-24 23:43 - Toshi MARUYAMA

- Category set to I18n

#2 - 2012-09-25 17:10 - Etienne Massip

When do you get the error exactly?

#3 - 2012-09-25 19:07 - Miko Kinski

see https://github.com/mkinski/redmine_inventory_manager

If I have some price value like 0.2 in Dollar (English) and Euro (Spain) it works perfect but If I switch to german language it leads to internal error

because of number_to_currency function

I am using redmine v2.0.4

#4 - 2012-09-26 10:22 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

- Subject changed from de.yml leads to error by number_to_currency() to bs and de lead to error by number_to_currency()

- Status changed from New to Confirmed

- Target version set to 2.1.1

- Affected version (unused) set to 2.0.0

- Affected version set to 2.0.0

#5 - 2012-09-26 10:23 - Toshi MARUYAMA
- Subject changed from bs and de lead to error by number_to_currency() to bs.yml and de.yml lead to error by number_to_currency()

#6 - 2012-09-29 18:30 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Files

delocal.patch 375 Bytes 2012-09-24 Miko Kinski
